/**
 * 初始化人才认定申报详情对话框
 */
var locked = false;
var TalentInfoInfoDlg = {
    talentInfoInfoData: {},
    validateFields: {
        source_county: {validators: {notEmpty: {message: '入选来源县市区不能为空'}}},
        talent_type: {validators: {notEmpty: {message: '人才类型不能为空'}}},
        name: {validators: {notEmpty: {message: '姓名不能为空'}}},
        card_type: {validators: {notEmpty: {message: '证件类型不能为空'}}},
        card_number: {
            validators: {
                notEmpty: {message: '证件号码不能为空'},
                regexp: {
                    regexp: /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/,
                    message: "身份证号码格式不正确"
                }
            }
        },
        sex: {validators: {notEmpty: {message: '性别不能为空'}}},
        birthday: {validators: {notEmpty: {message: '出生日期不能为空'}}},
        nationality: {validators: {notEmpty: {message: '国籍/地区不能为空'}}},
        province: {validators: {notEmpty: {message: '户籍省份不能为空'}}},
        city: {validators: {notEmpty: {message: '户籍市不能为空'}}},
        nation: {validators: {notEmpty: {message: '民族不能为空'}}},
        politics: {validators: {notEmpty: {message: '政治面貌不能为空'}}},
        experience: {validators: {notEmpty: {message: '工作简历不能为空'}}},
        education: {validators: {notEmpty: {message: '教育背景不能为空'}}},
        apply_year: {validators: {notEmpty: {message: '申报年度不能为空'}}},
        import_way: {validators: {notEmpty: {message: '引进方式不能为空'}}},
        cur_entry_time: {validators: {notEmpty: {message: '本单位入职时间不能为空'}}},
        position: {validators: {notEmpty: {message: '本单位现任职务不能为空'}}},
        source: {validators: {notEmpty: {message: '申报来源不能为空'}}},
        talent_arrange: {validators: {notEmpty: {message: '人才层次不能为空'}}},
        talent_condition: {validators: {notEmpty: {message: '认定条件不能为空'}}},
        highest_degree: {validators: {notEmpty: {message: '最高学历不能为空'}}},
        graduate_school: {validators: {notEmpty: {message: '毕业院校不能为空'}}},
        major: {validators: {notEmpty: {message: '专业不能为空'}}},
        bank: {
            validators: {
                notEmpty: {
                    message: '开户银行不能为空'
                },
                regexp: {
                    regexp: /^[\u4e00-\u9fa5]*银行$/,
                    message: "开户银行格式不正确"
                }
            }
        },
        bank_number: {
            validators: {
                notEmpty: {
                    message: '银行行号不能为空'
                },
                regexp: {
                    regexp: /^\d+$/,
                    message: "银行行号格式不正确"
                }
            }
        },
        bank_branch_name: {
            validators: {
                notEmpty: {
                    message: '开户银行网点不能为空'
                },
                regexp: {
                    regexp: /^[\u4e00-\u9fa5]*银行[\u4e00-\u9fa5]*省?[\u4e00-\u9fa5]+市[\u4e00-\u9fa5]*$/,
                    message: "开户银行格式不正确"
                }
            }
        },
        bank_account: {
            validators: {
                notEmpty: {
                    message: '银行账号不能为空'
                },
                regexp: {
                    regexp: /^\d+$/,
                    message: "银行账号格式不正确"
                }
            }
        },
        phone: {
            validators: {
                notEmpty: {
                    message: '手机号码不能为空'
                },
                regexp: {
                    regexp: /0?(13|14|15|16|17|18|19)[0-9]{9}/,
                    message: "手机号码格式不正确"
                }
            }
        },
        email: {
            validators: {
                notEmpty: {
                    message: '电子邮箱不能为空'
                },
                emailAddress: {
                    message: "电子邮箱格式不正确"
                }
            }
        }
    }
};

/**
 * 清除数据
 */
TalentInfoInfoDlg.clearData = function () {
    this.talentInfoInfoData = {};
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
TalentInfoInfoDlg.set = function (key, val) {
    var dis = $("#" + key).attr("disabled");
    if (dis == "disabled") {
        $("#" + key).removeAttr("disabled");
    }
    this.talentInfoInfoData[key] = (typeof val == "undefined") ? $("#" + key).val() : val;
    if (dis == "disabled") {
        $("#" + key).prop("disabled", true);
    }
    return this;
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
TalentInfoInfoDlg.get = function (key) {
    return $("#" + key).val();
}

/**
 * 关闭此对话框
 */
TalentInfoInfoDlg.close = function () {
    parent.layer.close(window.parent.TalentInfo.layerIndex);
}

/**
 * 收集数据
 */
TalentInfoInfoDlg.collectData = function () {
    this
            .set('id')
            .set('type')
            .set('talent_type')
            .set('tax_insurance_month')
            .set('labor_contract_rangetime')
            .set('pre_import_type')
            .set('salary_pay_way')
            .set('salary_pay_month')
            .set('enterprise_id')
            .set('name')
            .set('photo')
            .set('card_type')
            .set('card_number')
            .set('sex')
            .set('birthday')
            .set('nationality')
            .set('province')
            .set('city')
            .set('county')
            .set('nation')
            .set('politics')
            .set('talent_arrange')
            .set('talent_condition')
            .set('highest_degree')
            .set('graduate_school')
            .set('major')
            .set('professional')
            .set('bank')
            .set('bank_number')
            .set('bank_branch_name')
            .set('bank_account')
            .set('study_abroad')
            .set('abroad_school')
            .set('abroad_major')
            .set('phone')
            .set('email')
            .set('apply_year')
            .set('import_way')
            .set('fst_work_time')
            .set('cur_entry_time')
            .set('position')
            .set('source')
            .set('fujian_highcert_pubtime')
            .set('fujian_highcert_exptime')
            .set('quanzhou_highcert_pubtime')
            .set('quanzhou_highcert_exptime');
    if ($("#province").val() != null && $("#province").val() != '') {
        this.talentInfoInfoData["province_name"] = $("#province").find("option:selected").text();
    }
    if ($("#city").val() != null && $("#city").val() != '') {
        this.talentInfoInfoData["city_name"] = $("#city").find("option:selected").text();
    }
    if ($("#county").val() != null && $("#county").val() != '') {
        this.talentInfoInfoData["county_name"] = $("#county").find("option:selected").text();
    }
    if ($("#source_city").val() != null && $("#source_city").val() != '') {
        this.talentInfoInfoData["source_city_name"] = $("#source_city").find("option:selected").text();
    }
    if ($("#source_county").val() != null && $("#source_county").val() != '') {
        this.talentInfoInfoData["source_county_name"] = $("#source_county").find("option:selected").text();
    }
}

/**
 * 验证数据
 */
TalentInfoInfoDlg.validate = function () {
    $('#talentInfoForm').data("bootstrapValidator").resetForm();
    $('#talentInfoForm').bootstrapValidator('validate');
    return $("#talentInfoForm").data('bootstrapValidator').isValid();
}

/**
 * 提交添加
 */
TalentInfoInfoDlg.addSubmit = function () {
    this.clearData();
    this.collectData();
    /*if (!TalentInfoInfoDlg.validate()) {
     return;
     }*/
    var id = $('#id').val();
    if (id != null && id != '') {
        if (!TalentInfoInfoDlg.validateIsEdit())
            return;
    }
    $("select").each(function () {
        $(this).removeAttr("disabled");
    });
    if (locked) {
        return;
    }
    locked = true;
    $("#talentInfoForm").attr("action", "/enterprise/talent/apply");
    $("#talentInfoForm")[0].submit();
}

//回调
TalentInfoInfoDlg.infoCallback = function (data) {
    locked = false;
    TalentInfoInfoDlg.setNoChangeField();
    Feng.info(data.msg);
    if (data.code == 200) {
        window.parent.TalentInfo.table.refresh();
        $("#id").val(data.obj.id);
        $("#fileLi").removeAttr("style");
        $("#checkState").val(data.obj.checkState);
    }
    return;
}

TalentInfoInfoDlg.getLayerCatdByLayer = function () {
    $("#talent_condition").parents(".table").find(".fileTable").find("tbody").html("");
    $("#talent_condition").html("<option>---请选择---</option>");
    $("#annual_salary").parents("td").css("display", "none");
    $('#talentInfoForm').bootstrapValidator('removeField', "annual_salary");

    var level = $("#talent_arrange").val();
    Feng.addAjaxSelect({
        "id": "talent_arrange_category",
        "displayCode": "code",
        "displayName": "name",
        "type": "GET",
        "url": Feng.ctxPath + "/common/api/getLayerCatsByLayer/level/" + level
    });
    $("#talent_condition").trigger("chosen:updated");
}

/**
 * 获取人才认定
 */
TalentInfoInfoDlg.getIdentifyCondition = function () {
    $("#talent_condition").parents(".table").find(".fileTable").find("tbody").html("");
    $("#annual_salary").parents("td").css("display", "none");
    $('#talentInfoForm').bootstrapValidator('removeField', "annual_salary");
    var level = $("#talent_arrange").val();
    var cat = $("#talent_arrange_category").val();
    var id = $('#id').val();
    Feng.addAjaxSelect({
        "id": "talent_condition",
        "displayCode": "id",
        "displayName": "name",
        "type": "GET",
        "url": Feng.ctxPath + "/common/api/findIdentifyConditionByLevel/level/" + level + "/cat/" + cat + "/id/" + id
    });
    $("#talent_condition").trigger('chosen:updated');
}

TalentInfoInfoDlg.getIdentifyNeedsFileTypes = function () {
    $("#annual_salary").parents("td").css("display", "none");
    $('#talentInfoForm').bootstrapValidator('removeField', "annual_salary");

    var source = $("#source").val();
    if (source == "" || typeof source == "undefined") {
        layer.alert("请先选择申报来源");
        $("#talent_condition").val("");
        $("#talent_condition").trigger('chosen:updated');
        return;
    }
    TalentInfoInfoDlg.ajaxGetConditionFile(source);
}
TalentInfoInfoDlg.ajaxGetConditionFile = function (source) {
    var condition = $("#talent_condition option:selected").val();
    if (condition != "") {
        var ajax = new $ax("/common/api/getTalentCondtionUploadFile", function (data) {
            if (data == null || data.length == 0) {
                return;
            }
            if (typeof data.info != "undefined" && data.info.isSalary == 1) {
                $("#annual_salary").parents("td").css("display", "table-cell");
                $('#talentInfoForm').bootstrapValidator('addField', "annual_salary", {validators: {
                        notEmpty: {message: '年薪不能放空'},
                        callback: {
                            message: "年薪只能填写数字",
                            callback: function (value, validator) {
                                if (!isNaN(value) && isFinite(value)) {
                                    return true;
                                }
                                return false;
                            }
                        }
                    }
                });
            }
            if (source != "5") {
                return;
            }
        }, function (data) {
            Feng.error("查询失败!" + data.responseJSON.message + "!");
        });
        var queryData = {};
        queryData["mainId"] = $("#id").val();
        queryData['project'] = CONFIG.project_rcrd;
        queryData["source"] = source;
        queryData['type'] = $("#type").val();
        queryData["talent_condition"] = condition;
        ajax.set(queryData);
        ajax.start();
    }
}

TalentInfoInfoDlg.bankChange = function () {
    var bank = $("#bank").val();
    if ($.trim(bank) == '中国工商银行') {
        $("#bank_number").val('102391050013');
    } else {
        $("#bank_number").val('');
    }
}

TalentInfoInfoDlg.changeStudyAbroad = function () {
    var is_abroad = $("#study_abroad").val();
    if (is_abroad == 1) {
        $(".abroad_need_this").css("display", "table-row");
        $('#talentInfoForm').bootstrapValidator('addField', "abroad_school", {validators: {notEmpty: {message: '留学毕业院校不能为空'}}});
        $('#talentInfoForm').bootstrapValidator('addField', "abroad_major", {validators: {notEmpty: {message: '留学专业不能为空'}}});
    } else {
        $(".abroad_need_this").css("display", "none");
        $("#abroad_school").val("");
        $("#abroad_major").val("");
        $('#talentInfoForm').bootstrapValidator('removeField', "abroad_school");
        $('#talentInfoForm').bootstrapValidator('removeField', "abroad_major");
    }
}
/**
 * 加载市
 */
TalentInfoInfoDlg.afterSelectProvince = function () {
    var province = $("#province").val();
    $("#city").empty();
    $("#county").empty();
    if (province == null || province == '') {
        return;
    }
    Feng.addAjaxSelect({
        "id": "city",
        "displayCode": "code",
        "displayName": "name",
        "type": "GET",
        "url": Feng.ctxPath + "/common/tool/findCityByProvinceSelect/code/" + province
    });
}
/**
 * 加载县
 */
TalentInfoInfoDlg.afterSelectCity = function () {
    var city = $("#city").val();
    $("#county").empty();
    if (city == null || city == '') {
        return;
    }
    Feng.addAjaxSelect({
        "id": "county",
        "displayCode": "code",
        "displayName": "name",
        "type": "GET",
        "url": Feng.ctxPath + "/common/tool/findCountyByCitySelect/code/" + city
    });
}

TalentInfoInfoDlg.isAgeChecked = false;
TalentInfoInfoDlg.birthdayChange = function () {
    let birthday = parseInt($("#birthday").val().substring(0, 4));
    let currentYear = parseInt(new Date().getFullYear());
    let age = currentYear - (isNaN(birthday) ? 0 : birthday);
    let option = $("[data-rel=birthday]");
    let limitAge = option.data("option");
    if (age >= limitAge) {
        option.css("display", "table-row");
        option.next("tr.detail-view").css("display", "table-row");
        if (!TalentInfoInfoDlg.isAgeChecked) {
            layer.alert("由于您的年龄大于70岁（含），要求提供人社局的允许申报的批文，请线下前往人社局办理。如已办理，请将该批文作为附件上传至对应附件栏中。");
            TalentInfoInfoDlg.isAgeChecked = true;
            return false;
        }
    } else {
        TalentInfoInfoDlg.isAgeChecked = false;
        option.css("display", "none");
        option.next("tr.detail-view").css("display", "none");
    }
    return true;
}
TalentInfoInfoDlg.initBirthday = function () {
    let birthday = parseInt($("#birthday").val().substring(0, 4));
    let currentYear = parseInt(new Date().getFullYear());
    let age = currentYear - (isNaN(birthday) ? 0 : birthday);
    let option = $("[data-rel=birthday]");
    let isFileExists = option.next("tr.detail-view").find("ul.imgs").find("li").length > 3 ? true : false;
    let limitAge = option.data("option");
    if (!isNaN(birthday)) {
        if (age >= limitAge && isFileExists) {
            TalentInfoInfoDlg.isAgeChecked = true;
        }
        TalentInfoInfoDlg.birthdayChange();
    }
}


TalentInfoInfoDlg.talentTypeChange = function () {
    var talent_type = $("#talent_type").val();
    //$("#tax_insurance_month").val("").parent().css("display", "none");
    //$("#labor_contract_rangetime").val("").parent().css("display", "none");
    $(".talentType1-2").css("display", "none");
    $(".talentType3").css("display", "none");
    var text = "";
    switch (talent_type) {
        case "1":
            TalentInfoInfoDlg.talentTypeOneTwo = true;
            $("#tipsBlock").css('display', 'block');
            $("#typeTips").html("含经晋江市认定且还在晋江市就业创业的人才，或在晋江市就业创业但未曾申报过晋江市现代产业体系人才的人才。");
            //$("#desc_talent_type").html("请上传社会保险或个人所得税缴费佐证材料");
            $(".talentType1-2").css("display", "table-cell");
            $("#talentType_first").css('display', "none");
            $('#talentInfoForm').bootstrapValidator('addField', "tax_insurance_month", {
                validators: {
                    notEmpty: {message: '在我市缴交社会保险或个人所得税月份不能为空'}
                }
            });
            $('#talentInfoForm').bootstrapValidator('addField', "labor_contract_rangetime", {validators: {notEmpty: {message: '劳动合同起止时间'}}});
            $('#talentInfoForm').bootstrapValidator('addField', "salary_pay_way", {validators: {notEmpty: {message: '请选择工资发放渠道'}}});
            $('#talentInfoForm').bootstrapValidator('addField', "salary_pay_month", {validators: {notEmpty: {message: '请选择工资发放月份'}}});
            if (TalentInfoInfoDlg.talentTypeFlag) {
                TalentInfoInfoDlg.talentTypeFlag = false;
                $('#talentInfoForm').bootstrapValidator('removeField', "pre_import_type");
            }
            text = $("#fst_work_time").length > 0 ? $("#fst_work_time").prev("label").html().replace(/首次/, "近三年") : "";
            $("#come_in_jin").length > 0 ? $("#come_in_jin").css('display', 'table-cell') : "";
            $("#come_in_jin_str").length > 0 ? $("#come_in_jin_str").css('display', 'table-cell') : "";
            break;
        case "2":
            TalentInfoInfoDlg.talentTypeOneTwo = true;
            $("#tipsBlock").css('display', 'block');
            $("#typeTips").html("含本办法出台后首次从晋江市以外引进认定的人才，或者流出晋江市满3年后又返回晋江市就业创业(不含企业集团内部人员调动)的人才。")
            //$("#desc_talent_type").html("请上传社会保险或个人所得税缴费佐证材料与来我市前工作情况证明，例如原工作单位出具的工作证明、离职证明或原创（领）办企业的营业执照复印件、经市场监管部门备案的公司章程复印件等证明材料");
            $(".talentType1-2").css("display", "table-cell");
            $("#talentType_first").css('display', "inline");
            $('#talentInfoForm').bootstrapValidator('addField', "tax_insurance_month", {
                validators: {
                    notEmpty: {message: '在我市缴交社会保险或个人所得税月份不能为空'}
                }
            });
            $('#talentInfoForm').bootstrapValidator('addField', "labor_contract_rangetime", {validators: {notEmpty: {message: '劳动合同起止时间'}}});
            $('#talentInfoForm').bootstrapValidator('addField', "salary_pay_way", {validators: {notEmpty: {message: '请选择工资发放渠道'}}});
            $('#talentInfoForm').bootstrapValidator('addField', "salary_pay_month", {validators: {notEmpty: {message: '请选择工资发放月份'}}});
            if (TalentInfoInfoDlg.talentTypeFlag) {
                TalentInfoInfoDlg.talentTypeFlag = false;
                $('#talentInfoForm').bootstrapValidator('removeField', "pre_import_type");
            }
            text = $("#fst_work_time").length > 0 ? $("#fst_work_time").prev("label").html().replace(/近三年/, "首次") : "";
            $("#come_in_jin").length > 0 ? $("#come_in_jin").css('display', 'table-cell') : "";
            $("#come_in_jin_str").length > 0 ? $("#come_in_jin_str").css('display', 'none') : "";
            break;
        case "3":
            TalentInfoInfoDlg.talentTypeFlag = true;
            $("#tipsBlock").css('display', 'block');
            $("#typeTips").html("含已经与晋江市用人单位达成就业意向且签订预引进意向合作协议（合同）的人才，或拟来我市创业且提交企业名称预先核准的人才。")
            //$("#desc_talent_type").html("请先提供意向合作协议（合同）或企业名称预先核准材料，落地我市后再补齐上述材料");
            $(".talentType3").css("display", "table-cell");
            $("#talentType_first").css('display', "none");
            $('#talentInfoForm').bootstrapValidator('addField', "pre_import_type", {validators: {notEmpty: {message: '请选择预引进类型'}}});
            if (TalentInfoInfoDlg.talentTypeOneTwo) {
                TalentInfoInfoDlg.talentTypeOneTwo = false;
                $('#talentInfoForm').bootstrapValidator('removeField', "labor_contract_rangetime");
                $('#talentInfoForm').bootstrapValidator('removeField', "tax_insurance_month");
                $('#talentInfoForm').bootstrapValidator('removeField', "salary_pay_way");
                $('#talentInfoForm').bootstrapValidator('removeField', "salary_pay_month");
            }
            text = $("#fst_work_time").length > 0 ? $("#fst_work_time").prev("label").html().replace(/近三年/, "首次") : "";
            $("#come_in_jin").length > 0 ? $("#come_in_jin").css('display', 'none') : "";
            $("#come_in_jin_str").length > 0 ? $("#come_in_jin_str").css('display', 'none') : "";
            break;
        default:
            $("#tipsBlock").css('display', 'none');
            text = $("#fst_work_time").length > 0 ? $("#fst_work_time").prev("label").html().replace(/近三年/, "首次") : "";
            break;
    }
    $("#fst_work_time").prev("label").html(text);
    for (var i = 0; i < $("[data-rel=talent_type]").length; i++) {
        let option = $("[data-rel=talent_type]").eq(i);
        let options = option.data("option").toString().split(",");
        if (options.indexOf(talent_type) > -1) {
            option.css("display", "table-row");
            option.next("tr.detail-view").css("display", "table-row");
        } else {
            option.css("display", "none");
            option.next("tr.detail-view").css("display", "none");
        }
    }

}


TalentInfoInfoDlg.sourceChange = function () {
    var source = $("#source").val();
    $("#source_batch").val("").parents("td").css("display", "none");
    $(".fujian_highcert").css("display", "none");
    $(".quanzhou_highcert").css("display", "none");
    $("#source_city").val("").parents("td").css("display", "none");
    $("#source_county").val("").parents("td").css("display", "none");
    $('#talentInfoForm').bootstrapValidator('removeField', "source_batch");
    $('#talentInfoForm').bootstrapValidator('removeField', "fujian_highcert_pubtime");
    $('#talentInfoForm').bootstrapValidator('removeField', "fujian_highcert_exptime");
    $('#talentInfoForm').bootstrapValidator('removeField', "quanzhou_highcert_pubtime");
    $('#talentInfoForm').bootstrapValidator('removeField', "quanzhou_highcert_exptime");
    $('#talentInfoForm').bootstrapValidator('removeField', "source_city");
    $('#talentInfoForm').bootstrapValidator('removeField', "source_county");
    switch (source) {
        case "1":
        case "3":
            $("#source_batch").parents("td").css("display", "table-cell");
            $(".fujian_highcert").css("display", "table-cell");
            $("#quanzhou_highcert_pubtime").val("");
            $("#quanzhou_highcert_exptime").val("");
            $('#talentInfoForm').bootstrapValidator('addField', "source_batch", {validators: {notEmpty: {message: '申报来源批次不能为空'}}});
            $('#talentInfoForm').bootstrapValidator('addField', "fujian_highcert_pubtime", {validators: {notEmpty: {message: '福建省高层次人才证书发证日期不能为空'}}});
            $('#talentInfoForm').bootstrapValidator('addField', "fujian_highcert_exptime", {validators: {notEmpty: {message: '福建省高层次人才证书有效期不能为空'}}});
            break;
        case "2":
        case "4":
            $("#source_batch").parents("td").css("display", "table-cell");
            $(".quanzhou_highcert").css("display", "table-cell");
            $("#fujian_highcert_pubtime").val("");
            $("#fujian_highcert_exptime").val("");
            $('#talentInfoForm').bootstrapValidator('addField', "source_batch", {validators: {notEmpty: {message: '申报来源批次不能为空'}}});
            $('#talentInfoForm').bootstrapValidator('addField', "quanzhou_highcert_pubtime", {validators: {notEmpty: {message: '泉州高层次人才证书发证日期不能为空'}}});
            $('#talentInfoForm').bootstrapValidator('addField', "quanzhou_highcert_exptime", {validators: {notEmpty: {message: '泉州高层次人才证书有效期不能为空'}}});
            break;
        default:
            $("#source_batch").val("");
            $("#quanzhou_highcert_pubtime").val("");
            $("#quanzhou_highcert_exptime").val("");
            $("#fujian_highcert_pubtime").val("");
            $("#fujian_highcert_exptime").val("");
            break;
    }
    if (source == 3) {
        //显示入选来源地级市除泉
        $("#source_city").parents("td").css("display", "table-cell");
        Feng.addAjaxSelect({
            "id": "source_city",
            "displayCode": "code",
            "displayName": "name",
            "type": "GET",
            "url": "/common/tool/findChildAreaByCode/code/35/no/350500"
        });
        $('#talentInfoForm').bootstrapValidator('addField', "source_city", {validators: {notEmpty: {message: '入选来源地级市不能为空'}}});
    }
    if (source == 4) {
        //显示入选来源县市区除晋
        $("#source_county").parents("td").css("display", "table-cell");
        Feng.addAjaxSelect({
            "id": "source_county",
            "displayCode": "code",
            "displayName": "name",
            "type": "GET",
            "url": "/common/tool/findChildAreaByCode/code/3505/no/350582"
        });
        $('#talentInfoForm').bootstrapValidator('addField', "source_county", {validators: {notEmpty: {message: '入选来源县市区不能为空'}}});
    }
    if (source != 5) {
        $("#talent_condition").parents(".table").find(".fileTable").find("tbody").html("");
    } else {
        TalentInfoInfoDlg.ajaxGetConditionFile(source);
    }
}

//校验是否保存基础信息
TalentInfoInfoDlg.validId = function () {
    var id = $("#id").val();
    if (id != null && id != '') {
        $("#fileLi").removeAttr("style");
    } else {
        $("#fileLi").attr("style", "pointer-events: none");
    }
}

/**
 * 提交审核
 */
TalentInfoInfoDlg.submitToCheck = function () {
    /*if (!TalentInfoInfoDlg.validate()) {
     return;
     }*/
    var id = $("#id").val();
    /*if (id == null || id == "") {
     Feng.info("请先填写基础信息并上传附件");
     return;
     }*/
    if (!TalentInfoInfoDlg.validateIsEdit())
        return;
    var operation = function () {
        TalentInfoInfoDlg.clearData();
        TalentInfoInfoDlg.collectData();
        /*if (!TalentInfoInfoDlg.validate()) {
         return;
         }*/
        var id = $('#id').val();
        if (id != null && id != '') {
            if (!TalentInfoInfoDlg.validateIsEdit())
                return;
        }
        $("select,input[type=radio]").each(function () {
            $(this).removeAttr("disabled");
        });
        if (locked) {
            return;
        }
        locked = true;
        $("#talentInfoForm").attr("action", "/enterprise/talent/submitToCheck");
        $("#talentInfoForm")[0].submit();


        return;
        var ajax = new $ax(Feng.ctxPath + "/enterprise/talent/submit", function (data) {
            if (data.code == 200) {
                Feng.success(data.msg);
                // $("#checkState").val(data.obj);
                window.parent.TalentInfo.table.refresh();
                TalentInfoInfoDlg.close();
            } else {
                Feng.error(data.msg);
            }
        }, function (data) {
            Feng.error("提交审核失败!" + data.responseJSON.message + "!");
        });
        ajax.set("id", id);
        ajax.start();
    }
    Feng.confirm("请确认基础信息已核对无误，相应附件已上传，一旦提交，无法修改", operation);
}
//回调
TalentInfoInfoDlg.submitCallback = function (data) {
    locked = false;
    TalentInfoInfoDlg.setNoChangeField();
    if (data.code == 200) {
        Feng.success(data.msg);
        // $("#checkState").val(data.obj);
        window.parent.TalentInfo.table.refresh();
        TalentInfoInfoDlg.close();
    } else {
        Feng.error(data.msg);
    }
}

/**
 * 校验是否可以修改/提交审核
 */
TalentInfoInfoDlg.validateIsEdit = function () {
    var checkState = $("#checkState").val();
    if (checkState != 0 && checkState != 8) {
        if (checkState == 16 || checkState == -1 || checkState == -2 || checkState == 7) {
            Feng.error("您的申报审核不通过，无法再修改");
            return false;
        } else if (checkState == 28) {
            Feng.error("申报已完成");
            return false;
        } else if (checkState == 14) {
            Feng.error("您的申报已审核通过，无法再修改");
            return false;
        } else if (checkState == 22 || checkState == 25 || checkState == 27) {
            Feng.error("该申报已终止");
            return false;
        } else {
            Feng.error("您的申报正在审核中，请耐心等待");
            return false;
        }
    }
    return true;
}

TalentInfoInfoDlg.downloadFile = function (id, type) {
    window.location.href = Feng.ctxPath + "/api/common/downloadFile?id=" + id + "&type=" + type;
}

//设置不可修改的字段
TalentInfoInfoDlg.setNoChangeField = function () {
    var checkState = $("#checkState").val();
    var fields = $("#fields").val();
    var realState = $("#realState").val();
    if (realState == 11) {
        $("input,textarea").each(function () {
            $(this).attr("readonly", "readonly");
        });
        $("select,input[type=radio]").each(function () {
            $(this).attr("disabled", "disabled");
        });
        if (fields != null && fields != '') {
            var arr = fields.split(",");
            for (var key in arr) {
                if (arr[key] != "") {
                    var name = $("#" + arr[key]).prop("tagName");
                    if (name == 'select' || name == 'SELECT') {
                        $("#" + arr[key]).removeAttr("disabled");
                    } else if (name == "input" || name == 'textarea' || name == "INPUT" || name == 'TEXTAREA') {
                        $("#" + arr[key]).removeAttr("readonly");
                    } else {
                        if (typeof name == "undefined") {
                            $("input[name=" + arr[key] + "]").removeAttr("disabled").removeAttr("readonly");
                        }
                    }
                }
            }
        }
    }
}
$("#card_type").change(function () {
    async_padding($("#card_number").val().trim(), $(this).val());
})
$("#card_number").blur(function () {
    async_padding($(this).val().trim(), $("#card_type").val());
})
function async_padding(card_number, card_type) {
    if (card_number != "" && card_number.length == 18 && card_type == "1") {
        var year = card_number.substring(6, 10);
        var month = card_number.substring(10, 12);
        var day = card_number.substring(12, 14);
        var birthday = year + "-" + month + "-" + day;
        var rule = /\d{4}-\d{2}-\d{2}/;
        if (rule.test(birthday))
            $("#birthday").val(birthday);
        var num = card_number.substring(17, 1);
        if (num % 2 == 0) {
            $("#sex").val(2);
        } else {
            $("#sex").val(1);
        }
    }
}
$(function () {
    //Feng.initValidatorTip("talentInfoForm", TalentInfoInfoDlg.validateFields);
    var id = $("#id").val();
    var checkState = $("#checkState").val();
    //批量加载字典表数据
    var arr = [
        {"name": "nation", "code": "nation"},
        {"name": "talent_arrange", "code": "talent_arrange"},
        {"name": "nationality", "code": "nationality"},
        {"name": "politics", "code": "politics"},
        {"name": "highest_degree", "code": "highest_degree"},
        {"name": "source", "code": "source"},
        {"name": "import_way", "code": "import_way"}];
    Feng.findChildDictBatch(JSON.stringify(arr))
    //加载省份
    Feng.addAjaxSelect({
        "id": "province",
        "displayCode": "code",
        "displayName": "name",
        "type": "GET",
        "url": "/common/tool/getProvinceSelect"
    });
    //批量加载时间控件
    $(".date").each(function () {
        laydate.render({
            elem: this
            , type: 'date'
            , trigger: 'click'
        });
    });
    $(".rangedate").each(function () {
        laydate.render({
            elem: this,
            type: "date",
            range: true,
            trigger: "click"
        })
    })
    $(".rangemonth").each(function () {
        laydate.render({
            elem: this,
            type: "month",
            range: true,
            trigger: "click"
        })
    })
    if (id != null && id != '') {
        //select初始化
        $("select").each(function () {
            $(this).val($(this).attr("value")).trigger("change");
        });
        Feng.getCheckLog("logTable", {"type": CONFIG.project_rcrd, "mainId": id, "typeFileId": "", "active": 1})
    }
    $("#talent_type").val($("#talent_type").attr("value"));
    $("#card_type").val($("#card_type").attr("value"));
    $("#sex").val($("#sex").attr("value"));
    $("#enterprise_tag").val($("#enterprise_tag").attr("value"));
    $("#address").val($("#address").attr("value"));
    $("#nation").val($("#nation").attr("value"));
    $("#nationality").val($("#nationality").attr("value"));
    $("#industry_field").val($("#industry_field").attr("value"));
    $("#province").val($("#province").attr("value"));
    TalentInfoInfoDlg.afterSelectProvince();
    $("#city").val($("#city").attr("value"));
    TalentInfoInfoDlg.afterSelectCity();
    $("#county").val($("#county").attr("value"));
    TalentInfoInfoDlg.getIdentifyCondition();
    $("#politics").val($("#politics").attr("value"));
    $("#tax_insurance_month").val($("#tax_insurance_month").attr("value"));
    $("#labor_contract_rangetime").val($("#labor_contract_rangetime").attr("value"));
    $("#source_batch").val($("#source_batch").attr("value"));
    $("#source_city").val($("#source_city").attr("value"));
    $("#source_county").val($("#source_county").attr("value"));
    $("#quanzhou_highcert_pubtime").val($("#quanzhou_highcert_pubtime").attr("value"));
    $("#quanzhou_highcert_exptime").val($("#quanzhou_highcert_exptime").attr("value"));
    $("#fujian_highcert_pubtime").val($("#fujian_highcert_pubtime").attr("value"));
    $("#fujian_highcert_exptime").val($("#fujian_highcert_exptime").attr("value"));
    $("#talent_arrange").val($("#talent_arrange").attr("value"));
    TalentInfoInfoDlg.getLayerCatdByLayer();
    $("#talent_arrange_category").val($("#talent_arrange_category").attr("value"));
    TalentInfoInfoDlg.getIdentifyCondition();
    TalentInfoInfoDlg.validId();
    $("#photo").change(function (e) {
        var tag = e.target;
        var file = tag.files[0];
        var imgSrc;
        var reader = new FileReader();
        reader.readAsDataURL(file);
        reader.onload = function () {
            imgSrc = this.result;
            $("#photoImg").attr("src", imgSrc);
        };
    });
    TalentInfoInfoDlg.setNoChangeField();
    $("#talent_condition").on('chosen:ready', function (e, params) {
        $(".chosen-container-single .chosen-single").css("padding", "4px 0px 0px 4px");
    });
    $("#talent_condition").val($("#talent_condition").attr("value"));
    $("#talent_condition").chosen({
        search_contains: true,       //关键字模糊搜索。设置为true，只要选项包含搜索词就会显示；设置为false，则要求从选项开头开始匹配
        disable_search: false,
        width: "calc(100%)",
        enable_split_word_search: true,
        rtl: true
    });
    if ($("#annual_salary").val() != "") {
        $("#annual_salary").parents("td").css("display", "table-cell");
        $('#talentInfoForm').bootstrapValidator('addField', "annual_salary", {validators: {
                notEmpty: {message: '年薪不能放空'},
                callback: {
                    message: "年薪只能填写数字",
                    callback: function (value, validator) {
                        if (!isNaN(value) && isFinite(value)) {
                            return true;
                        }
                        return false;
                    }
                }
            }
        });
    }
    var is_abroad = $("#study_abroad").val();
    if (is_abroad == "1") {
        TalentInfoInfoDlg.changeStudyAbroad();
    }
    TalentInfoInfoDlg.initBirthday();
    $(".uitd_showTip").bind("mouseover", function () {
        var htm = $(this).html();
        $(this).webuiPopover({title: '详情', content: htm, trigger: 'hover'}).webuiPopover('show');
    });
});


